GET /api/account
Get account. Authenticate with your account api key.
curl -X GET https://agakural.online/api/account \
-H "Authorization: Bearer $TOKEN"
PATCH /api/account
Update account. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| name | body | string | No | Up to 120 characters |
| phone | body | string | No | Up to 20 characters |
curl -X PATCH https://agakural.online/api/account \
-H "Authorization: Bearer $TOKEN"
POST /api/account/api-key
Create account api key. Authenticate with your account api key.
curl -X POST https://agakural.online/api/account/api-key \
-H "Authorization: Bearer $TOKEN"
PUT /api/account/history
Update account history. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| days | body | integer | Yes | Range 0–90 |
| consent | body | boolean | No |
curl -X PUT https://agakural.online/api/account/history \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"days": 1}'
POST /api/account/password
Create account password. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| current | body | string | No | |
| next | body | string | Yes | Up to 200 characters |
curl -X POST https://agakural.online/api/account/password \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"next": "next"}'
GET /api/analytics
Get analytics. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| days | query | integer | No | Range 7–90 |
curl -X GET https://agakural.online/api/analytics \
-H "Authorization: Bearer $TOKEN"
POST /api/channels
Create channels. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| name | body | string | No | Up to 60 characters |
curl -X POST https://agakural.online/api/channels \
-H "Authorization: Bearer $TOKEN"
DELETE /api/channels/{id}
Delete a channels. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/api/channels/{id} \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}
Get one channel. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id} \
-H "Authorization: Bearer $TOKEN"
PATCH /api/channels/{id}
Update a channels. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| name | body | string | No | |
| webhook_url | body | string | No | |
| webhook_events | body | array of object | No | |
| webhook_headers | body | object | No | |
| daily_cap_override | body | integer | No | Range 1–5000 |
| min_delay_ms | body | integer | No | Range 0–120000 |
| max_delay_ms | body | integer | No | Range 0–300000 |
| proxy_url | body | string | No | |
| standby_channel_id | body | string | No | |
| failover_message | body | string | No | Up to 1000 characters |
| reject_calls | body | boolean | No | |
| reject_message | body | string | No | Up to 1000 characters |
curl -X PATCH https://agakural.online/api/channels/{id} \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/ban-credit
Get channels ban credit. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/ban-credit \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/bot
Get channels bot. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/bot \
-H "Authorization: Bearer $TOKEN"
PUT /api/channels/{id}/bot
Update channels bot. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| enabled | body | boolean | Yes | |
| welcome | body | object | Yes | |
| away | body | object | Yes | |
| rules | body | array of object | Yes |
curl -X PUT https://agakural.online/api/channels/{id}/bot \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"enabled": true, "welcome": "welcome", "away": "away", "rules": []}'
POST /api/channels/{id}/bot/test
Create channels bot test. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| text | body | string | Yes | Up to 1000 characters |
| first | body | boolean | No | |
| name | body | string | No | Up to 60 characters |
curl -X POST https://agakural.online/api/channels/{id}/bot/test \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"text": "text"}'
POST /api/channels/{id}/connect-link
Create channels connect link. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/channels/{id}/connect-link \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/failover
Create channels failover. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/channels/{id}/failover \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/logs
Get channels logs. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/logs \
-H "Authorization: Bearer $TOKEN"
GET /api/channels/{id}/qr
Get channels qr. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/api/channels/{id}/qr \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/restart
Create channels restart. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/channels/{id}/restart \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/webhook/test
Create channels webhook test. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X POST https://agakural.online/api/channels/{id}/webhook/test \
-H "Authorization: Bearer $TOKEN"
POST /api/channels/{id}/webhooks
Create channels webhooks. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| url | body | string | Yes | |
| headers | body | object | No | |
| events | body | array of object | No |
curl -X POST https://agakural.online/api/channels/{id}/webhooks \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"url": "url"}'
DELETE /api/channels/{id}/webhooks/{hook}
Delete a channels webhooks. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| hook | path | string | Yes |
curl -X DELETE https://agakural.online/api/channels/{id}/webhooks/{hook} \
-H "Authorization: Bearer $TOKEN"
GET /api/features
Get features. Authenticate with your account api key.
curl -X GET https://agakural.online/api/features \
-H "Authorization: Bearer $TOKEN"
POST /api/login
Create login. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| body | string | Yes | ||
| password | body | string | Yes |
curl -X POST https://agakural.online/api/login \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"email": "email", "password": "password"}'
POST /api/logout
Create logout. Authenticate with your account api key.
curl -X POST https://agakural.online/api/logout \
-H "Authorization: Bearer $TOKEN"
GET /api/packs
Get packs. Authenticate with your account api key.
curl -X GET https://agakural.online/api/packs \
-H "Authorization: Bearer $TOKEN"
POST /api/packs/{key}/apply
Create packs apply. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| key | path | string | Yes | |
| channel_id | body | string | Yes |
curl -X POST https://agakural.online/api/packs/{key}/apply \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"channel_id": "channel_id"}'
POST /api/signup
Create signup. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| name | body | string | Yes | Up to 120 characters |
| body | string | Yes | Format: email | |
| password | body | string | Yes | Up to 200 characters |
| phone | body | string | No | Up to 20 characters |
| accept_terms | body | object | Yes | One of: true |
| accept_risk | body | object | Yes | One of: true |
| invite_code | body | string | No | |
| whatsapp_tips | body | boolean | No | |
| source | body | object | No |
curl -X POST https://agakural.online/api/signup \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "name", "email": "email", "password": "password", "accept_terms": "accept_terms", "accept_risk": "accept_risk"}'
GET /api/team
Get team. Authenticate with your account api key.
curl -X GET https://agakural.online/api/team \
-H "Authorization: Bearer $TOKEN"
POST /api/team
Create team. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| body | string | Yes | Format: email | |
| name | body | string | Yes | Up to 120 characters |
| role | body | object | Yes | One of: admin, viewer |
| password | body | string | Yes | Up to 200 characters |
curl -X POST https://agakural.online/api/team \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"email": "email", "name": "name", "role": "role", "password": "password"}'
DELETE /api/team/{user}
Delete a team. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| user | path | string | Yes |
curl -X DELETE https://agakural.online/api/team/{user} \
-H "Authorization: Bearer $TOKEN"
PATCH /api/team/{user}
Update a team. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| user | path | string | Yes | |
| role | body | object | Yes | One of: admin, viewer |
curl -X PATCH https://agakural.online/api/team/{user} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"role": "role"}'
POST /api/webhooks/{deliveryId}/redeliver
Create webhooks redeliver. Authenticate with your account api key.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| deliveryId | path | string | Yes |
curl -X POST https://agakural.online/api/webhooks/{deliveryId}/redeliver \
-H "Authorization: Bearer $TOKEN"